Package io.strimzi.systemtest.kafkaclients.internalClients

## Enum ClientArgument

- java.lang.Object
- - java.lang.Enum<ClientArgument>
  - - io.strimzi.systemtest.kafkaclients.internalClients.ClientArgument

- All Implemented Interfaces:
    `Serializable`, `Comparable<ClientArgument>`

      public enum ClientArgument
      extends Enum<ClientArgument>

  Enum with argument for external clients

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ACKS` |
    `ASSIGMENT_STRATEGY` |
    `BOOTSTRAP_SERVER` |
    `BROKER_LIST` |
    `CONSUMER_CONFIG` |
    `ENABLE_AUTOCOMMIT` |
    `GROUP_ID` |
    `GROUP_INSTANCE_ID` |
    `MAX_MESSAGES` |
    `MESSAGE_CREATE_TIME` |
    `PRODUCER_CONFIG` |
    `REPEATING_KEYS` |
    `RESET_POLICY` |
    `SESSION_TIMEOUT` |
    `THROUGHPUT` |
    `TIMEOUT` |
    `TOPIC` |
    `USER` |
    `VALUE_PREFIX` |
    `VERBOSE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `command()` | Gets command for external webClient
    `String` | `setConfiguration​(String config)` |
    `static ClientArgument` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ClientArgument[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOPIC

          public static final ClientArgument TOPIC

    - #### VERBOSE

          public static final ClientArgument VERBOSE

    - #### CONSUMER_CONFIG

          public static final ClientArgument CONSUMER_CONFIG

    - #### MAX_MESSAGES

          public static final ClientArgument MAX_MESSAGES

    - #### GROUP_ID

          public static final ClientArgument GROUP_ID

    - #### GROUP_INSTANCE_ID

          public static final ClientArgument GROUP_INSTANCE_ID

    - #### SESSION_TIMEOUT

          public static final ClientArgument SESSION_TIMEOUT

    - #### ENABLE_AUTOCOMMIT

          public static final ClientArgument ENABLE_AUTOCOMMIT

    - #### RESET_POLICY

          public static final ClientArgument RESET_POLICY

    - #### ASSIGMENT_STRATEGY

          public static final ClientArgument ASSIGMENT_STRATEGY

    - #### BOOTSTRAP_SERVER

          public static final ClientArgument BOOTSTRAP_SERVER

    - #### BROKER_LIST

          public static final ClientArgument BROKER_LIST

    - #### PRODUCER_CONFIG

          public static final ClientArgument PRODUCER_CONFIG

    - #### ACKS

          public static final ClientArgument ACKS

    - #### TIMEOUT

          public static final ClientArgument TIMEOUT

    - #### THROUGHPUT

          public static final ClientArgument THROUGHPUT

    - #### MESSAGE_CREATE_TIME

          public static final ClientArgument MESSAGE_CREATE_TIME

    - #### VALUE_PREFIX

          public static final ClientArgument VALUE_PREFIX

    - #### REPEATING_KEYS

          public static final ClientArgument REPEATING_KEYS

    - #### USER

          public static final ClientArgument USER

  - ### Method Detail

    - #### values

          public static ClientArgument[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientArgument c : ClientArgument.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientArgument valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### command

          public String command()

      Gets command for external webClient
      Returns:
        string command

    - #### setConfiguration

          public String setConfiguration​(String config)